View Issue Details

IDProjectCategoryView StatusLast Update
0002760WishesMacropublic2017-11-21 00:41
ReporterJohnDoeAssigned Tozg 
PrioritynormalSeverityminorReproducibilityN/A
Status assignedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002760: Отдельные макрообласти для GRABBER, HMENU, DESKTOP
DescriptionВ Энциклопедии указано что область "Other" это граббер.
Однако сейчас это значение возвращается для трёх разных типов окон.
TagsNo tags attached.
Build5066

Activities

JohnDoe

2016-09-02 12:55

updater   bugnote:0014746

2 года как..

JohnDoe

2017-09-19 19:46

updater   bugnote:0015601

Область "Other" зарезервировать, для граббера использовать "Grabber" (MACROAREA_GRABBER).
Для десктопа соответственно "Desktop" (MACROAREA_DESKTOP)

JohnDoe

2017-10-06 10:00

updater   bugnote:0015637

Если для HMENU не заводить отдельную макрообласть, тогда необходимо документировать, что случай, когда меню не раскрыто, можно определить, используя Object.Height.

zg

2017-10-16 18:29

developer   bugnote:0015669

5066.

JohnDoe

2017-10-17 09:19

updater   bugnote:0015670

Area.Desktop
Area.Grabber

zg

2017-10-17 12:31

developer   bugnote:0015674

627.

JohnDoe

2017-11-20 23:41

updater   bugnote:0015839

Забыли Энциклопедию (MacroControl) и macroapi manual

Issue History

Date Modified Username Field Change
2014-08-10 12:17 JohnDoe New Issue
2016-09-02 12:55 JohnDoe Note Added: 0014746
2017-09-19 19:46 JohnDoe Note Added: 0015601
2017-10-06 10:00 JohnDoe Note Added: 0015637
2017-10-16 18:29 zg Note Added: 0015669
2017-10-17 09:19 JohnDoe Note Added: 0015670
2017-10-17 12:31 zg Note Added: 0015674
2017-10-22 23:56 DrKnS Assigned To => zg
2017-10-22 23:56 DrKnS Status new => closed
2017-10-22 23:56 DrKnS Resolution open => fixed
2017-10-22 23:56 DrKnS Fixed in Version => 3.0
2017-10-22 23:56 DrKnS Build => 5066
2017-11-20 23:41 JohnDoe Note Added: 0015839
2017-11-21 00:41 JohnDoe Status closed => assigned